Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.classparser.dl
Interface DLSyntaxParserConstants

All Known Implementing Classes:
  DLSyntaxParser, DLSyntaxParserTokenManager

    public interface DLSyntaxParserConstants

Field Summary
`static int` | `CLASS_ID`
`static int` | `CLOSEPAR`
`static int` | `CLOSESQPAR`
`static int` | `DATATYPE_ID`
`static int` | `DATATYPE_PROPERTY_ID`
`static int` | `DEFAULT`
`static int` | `DIGIT`
`static int` | `EOF`
`static int` | `EXPONENT`
`static int` | `FLOATING_POINT_LITERAL`
`static int` | `FORMAL_COMMENT`
`static int` | `IDENTIFIER`
`static int` | `IN_FORMAL_COMMENT`
`static int` | `IN_MULTI_LINE_COMMENT`
`static int` | `IN_SINGLE_LINE_COMMENT`
`static int` | `INDIVIDUAL_ID`
`static int` | `INTEGER_LITERAL`
`static int` | `LETTER`
`static int` | `MULTI_LINE_COMMENT`
`static int` | `OBJECT_PROPERTY_ID`
`static int` | `ONE_OF`
`static int` | `OPENPAR`
`static int` | `OPENSQPAR`
`static int` | `SINGLE_LINE_COMMENT`
`static int` | `STRING_LITERAL`
`static String[]` | `tokenImage`
`static int` | `UNBOUNDEDVAL`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### OPENPAR

    static final int OPENPAR

See Also:
  Constant Field Values

### CLOSEPAR

    static final int CLOSEPAR

See Also:
  Constant Field Values

### OPENSQPAR

    static final int OPENSQPAR

See Also:
  Constant Field Values

### CLOSESQPAR

    static final int CLOSESQPAR

See Also:
  Constant Field Values

### UNBOUNDEDVAL

    static final int UNBOUNDEDVAL

See Also:
  Constant Field Values

### SINGLE_LINE_COMMENT

    static final int SINGLE_LINE_COMMENT

See Also:
  Constant Field Values

### FORMAL_COMMENT

    static final int FORMAL_COMMENT

See Also:
  Constant Field Values

### MULTI_LINE_COMMENT

    static final int MULTI_LINE_COMMENT

See Also:
  Constant Field Values

### INTEGER_LITERAL

    static final int INTEGER_LITERAL

See Also:
  Constant Field Values

### FLOATING_POINT_LITERAL

    static final int FLOATING_POINT_LITERAL

See Also:
  Constant Field Values

### EXPONENT

    static final int EXPONENT

See Also:
  Constant Field Values

### STRING_LITERAL

    static final int STRING_LITERAL

See Also:
  Constant Field Values

### ONE_OF

    static final int ONE_OF

See Also:
  Constant Field Values

### IDENTIFIER

    static final int IDENTIFIER

See Also:
  Constant Field Values

### DATATYPE_ID

    static final int DATATYPE_ID

See Also:
  Constant Field Values

### CLASS_ID

    static final int CLASS_ID

See Also:
  Constant Field Values

### OBJECT_PROPERTY_ID

    static final int OBJECT_PROPERTY_ID

See Also:
  Constant Field Values

### DATATYPE_PROPERTY_ID

    static final int DATATYPE_PROPERTY_ID

See Also:
  Constant Field Values

### INDIVIDUAL_ID

    static final int INDIVIDUAL_ID

See Also:
  Constant Field Values

### LETTER

    static final int LETTER

See Also:
  Constant Field Values

### DIGIT

    static final int DIGIT

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### IN_SINGLE_LINE_COMMENT

    static final int IN_SINGLE_LINE_COMMENT

See Also:
  Constant Field Values

### IN_FORMAL_COMMENT

    static final int IN_FORMAL_COMMENT

See Also:
  Constant Field Values

### IN_MULTI_LINE_COMMENT

    static final int IN_MULTI_LINE_COMMENT

See Also:
  Constant Field Values

### tokenImage

    static final String[] tokenImage

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.